document.observe("xwiki:dom:loaded", function() {
  if ($('mainContentArea') && $('mainContentArea').down('.add-faq-link')) {
    $('mainContentArea').down('.add-faq-link').down('p').observe('click', function(event){
      event.element().up('div.add-faq-link').down('div').toggleClassName('hidden');
    });
    $('mainContentArea').down('.add-faq-link').down('div').addClassName('hidden');
  }
});
